## ros-kinetic-jog-controller 0.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jog_controller)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  actionlib
  control_msgs
  jog_msgs
  moveit_core
  moveit_ros_planning
  moveit_visual_tools
  moveit_msgs
  roscpp
  roslaunch
  rviz
)

find_package(Boost REQUIRED system filesystem date_time thread)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

catkin_package(
  CATKIN_DEPENDS actionlib control_msgs jog_msgs
  moveit_core
  moveit_ros_planning
  moveit_visual_tools
  moveit_msgs roscpp
  INCLUDE_DIRS
  LIBRARIES
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

if(rviz_QT_VERSION VERSION_LESS "5")
  find_package(Qt4 COMPONENTS QtCore QtGui REQUIRED)
  include(${QT_USE_FILE})
else()
  find_package(Qt5Widgets REQUIRED)
endif()
add_definitions(-DQT_NO_KEYWORDS -g)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(HEADER_FILES
  src/jog_frame_panel.h src/jog_joint_panel.h src/jog_slider.h
)

if(rviz_QT_VERSION VERSION_LESS "5")
  qt4_wrap_cpp(MOC_FILES ${HEADER_FILES})
else()
  qt5_wrap_cpp(MOC_FILES ${HEADER_FILES})
endif()

set(SOURCE_FILES
  src/jog_frame_panel.cpp
  src/jog_joint_panel.cpp
  ${MOC_FILES}
  )

add_library(jog_controller ${SOURCE_FILES} ${UIC_FILES})

if(rviz_QT_VERSION VERSION_LESS "5")
  target_link_libraries(jog_controller ${QT_LIBRARIES} ${catkin_LIBRARIES} ${rviz_DEFAULT_PLUGIN_LIBRARIES})
else()
  target_link_libraries(jog_controller Qt5::Widgets ${catkin_LIBRARIES} ${rviz_DEFAULT_PLUGIN_LIBRARIES})
endif()

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  set_target_properties(jog_controller PROPERTIES LINK_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -z defs")
endif()

add_executable(jog_frame_node src/jog_frame_node.cpp)
target_link_libraries(jog_frame_node ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(jog_joint_node src/jog_joint_node.cpp)
target_link_libraries(jog_joint_node ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS jog_frame_node jog_joint_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(PROGRAMS script/joy_to_jog_frame.py script/joy_to_jog_joint.py script/twist_to_jog_frame.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(FILES plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(TARGETS jog_controller
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY launch config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# Tests
if(CATKIN_ENABLE_TESTING)

  #find_package(roslint REQUIRED)
  #set(ROSLINT_CPP_OPTS "--filter=-runtime/references,-runtime/int")
  #set(ROSLINT_PYTHON_OPTS "--max-line-length=180")
  # add_dependencies(tests roslint)

  file(GLOB LAUNCH_FILES launch/*.launch)
  foreach(LAUNCH_FILE ${LAUNCH_FILES})
    message(STATUS "Testing ${LAUNCH_FILE}")
    roslaunch_add_file_check(${LAUNCH_FILE})
  endforeach()

endif()

=== debian/changelog ===
ros-kinetic-jog-controller (0.0.2-1xenial) xenial; urgency=high

  * Add intermittent parameter (#31 <https://github.com/tork-a/jog_control/issues/31> )
    - When this parameter is true, jog motions wait for the end of previous action
  * Implemented a twist_to_jogframe controller (#39 <https://github.com/tork-a/jog_control/issues/39> )
    - added optional arg to lauch the spacenav
    - added missing dependency in package.
    - Added Twist to jog frame missing launch file arg
    - Update README.md
    - Fix typos, renamed argument. Mod def scale values
    - Asked modifications for pr.
    - New method to tf from spacenav axis to EEF.
    - Added missing launch file arg to ReadMe
    - clean up of twist script
    - fix to make it work
    - tested joy control using space mouse
    - Change validation message as ROS_ERROR
  * Contributors: Alexandre Francoeur, LazyEngineerToBe, Ryosuke Tajima

 -- Tokyo Opensource Robotics Kyokai(TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sun, 15 Sep 2019 15:00:00 -0000

ros-kinetic-jog-controller (0.0.1-1xenial) xenial; urgency=high

  * Prepare for releasing (#28)
    - Add further dpendency
  * Migrating rostests from jog_controller to jog_launch (#27)
    - Add waitForTransform for test code
    - make it optional to specify controller_name (should be remove later)
    - Remove unused variable
    - add UR3 and UR3 rostest
    - Adjust joypad scale for more safer control
  * Add jog_launch package (#26)
    - Remove running tests(transfer to jog_launch afterwards)
    - Add settings for UR and tra1
  * Add joypad descriptions (#24)
  * Fix readme (#21)
    - Add how-to description to jog_controller/README.md
    - Add description into tra1_jog.yaml
  * Add ur5 tests (#14)
    - Expand queue size for solve test failure
    - Add frame jog test for UR5
    - Add test_jog_frame.py to test jog frame
    - Add UR5 rostest for CMakeLists.txt
    - Add UR5 gazebo test for joint_jog
    - Change to test joint jog around a home position
    - Change to handle the jog command with partial joint names
    - Add initial test file for UR5
  * Add config and launch files for hironx (#10)
    - Set default use_joy argument false
  * Support precise jog control (#13)
    - Modify vs060 test
    - Modify for precise jog_frame control
    - Add test_jog_joint.py to test precise jog
    - Checking with VS060
  * Change to avoid loop in jog control
    - Update reference joint state only if the jog command is not continuous
    - Change jog panel not to publish command when the command is all zero
  * Add param exclude joints (#9)
  * add config and launch files for hironx.
  * Add motoman_sda10f and update README
  * Add baxter_fake.launch which use fake_joint_driver
  * Add exclude_joint_names param to exclude joint
  * Add support for multiple joint_states (#8)
  * Add tests and travis (#7)
  * Add test for baxter (hztest only)
    - baxter_moveit_config is not released, so it remain disabled
    - Give up TRA1 test until minas is fixed
  * Add support for multiple joint_states
    - ex. Baxter produces separated JointStates for grippers
  * Add dependency on nextage_moveit_config
  * Add exec dependency for nextage_ros_bridge
  * Remove launch check templary for travis
  * Add Nextage tests (hztest only)
  * Fix build dependency
  * Add hztest for TRA1
  * Fix to obtain correct cinfo for jog_frame_node
  * Fix to get first joint state message
  * Fix the joy_to_jog_frame node to work
  * Fix bug of invalid action name for use_action
    - Baxter will get error because this bug
  * Add orientation jog (#5)
    - Improve display panel
    - Add rotation jog
  * Change the naming of JogJoint and JogFrame messages (#1)
    - Change jog_msgs member name
  * Add baxter settings, improve joint jog (#3)
  * Improve joint jog node
    - Support multiple controllers
    - We just specify the list of joint to jog
    - Fix Baxter settings
  * Remove controller_name from joint jog setting
  * Add baxter settings
  * Add action option (#2)
  * Add motoman_sia20d jog settings
  * Change abb_irb2400 jog settings
  * Add time_from_start parameter
  * Add use_action option for jog joint node
  * Change panel timer to 10Hz
    - To avoid oscilation
    - It may change the response
  * Add abb_irb2400 settings
  * Add use_action option
  * Changes for jog(frame and joint) controllers
    - Organize parameters
    - Check to invalid IK solution
  * Add settings for NEXTAGE Open
  * Add settings for DENSO VS060
  * Modify settings for MOTOMAN sia5d
  * Modify setting for UR5 gazebo
  * Modify setting for MELFA rv7fl
  * Modify setting for TRA1 manipulator
  * jog_frame_panel: move_group from list in parameter groups
  * Add motoman_sia5d example
  * Add jog_joint_panel rviz plugin
  * Add documents, quickstart launch files
  * Add jog_frame rviz panel plugin
  * Add prototype of jog_joint_node
  * Add jog_controller/jog_frame_node proto
  * Contributors: Ryosuke Tajima, aislab

 -- Tokyo Opensource Robotics Kyokai(TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Wed, 29 Aug 2018 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-jog-controller
Section: misc
Priority: extra
Maintainer: Tokyo Opensource Robotics Kyokai(TORK) Developer Team <dev@opensource-robotics.tokyo.jp>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-actionlib, ros-kinetic-catkin, ros-kinetic-control-msgs, ros-kinetic-jog-msgs, ros-kinetic-moveit-core, ros-kinetic-moveit-msgs, ros-kinetic-moveit-ros-planning, ros-kinetic-moveit-visual-tools, ros-kinetic-roscpp, ros-kinetic-roslaunch, ros-kinetic-rviz
Homepage: http://wiki.ros.org/jog_controller
Standards-Version: 3.9.2

Package: ros-kinetic-jog-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib, ros-kinetic-control-msgs, ros-kinetic-jog-msgs, ros-kinetic-joy, ros-kinetic-moveit-core, ros-kinetic-moveit-msgs, ros-kinetic-moveit-ros-planning, ros-kinetic-moveit-visual-tools, ros-kinetic-roscpp, ros-kinetic-rviz, ros-kinetic-spacenav-node
Description: The jog_controller package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-jog-controller//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
